Bug 17221 - Implement gdbserver in-process agent for PowerPC
Summary: Implement gdbserver in-process agent for PowerPC
Status: CLOSED FIXED
Alias: None
Product: gdb
Classification: Unclassified
Component: server (show other bugs)
Version: HEAD
: P2 enhancement
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-01 12:44 UTC by Ulrich Weigand
Modified: 2016-03-31 14:34 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Weigand 2014-08-01 12:44:13 UTC
Enable GDB's fast and static tracepoint capabilities for the PowerPC target by implementing the required target-dependent gdbserver support for the in-process agent.

The goal is that the fast and static tracepoint tests in gdb.trace pass on powerpc64-linux.  Note that some of the tests will themselves require porting.
Comment 1 Bountysource 2014-08-26 22:59:00 UTC
There's a $3,200 bounty on this issue: https://www.bountysource.com/issues/3483549-implement-gdbserver-in-process-agent-for-powerpc
Comment 2 Marcin Kościelnicki 2016-03-31 14:28:32 UTC
The fast tracepoint patches have landed.  Anything left to do here?
Comment 3 Ulrich Weigand 2016-03-31 14:34:07 UTC
Just as discussed in Bug #18377, static tracepoints don't work anywhere right now, so implementing fast tracepoints suffices for now.  Thanks for implementing this!
Comment 4 Ulrich Weigand 2016-03-31 14:34:24 UTC
Closed.